/******************** (C) COPYRIGHT 2005 STMicroelectronics *************************
* File Name          : Timer.h
* Author             : MCD Application Team
* Description        : This file provides prototypes of used routines and variables 
					   used in code sources.
*************************************************************************************/
/************************************************************************************
* INCLUDES
*************************************************************************************/
#include<reg276.h>


sfrbit P20 _atbit(P2,0);                                                      
sfrbit P21 _atbit(P2,1);                                      
sfrbit DP20 _atbit(DP2,0);                                    
sfrbit DP21 _atbit(DP2,1);

/*************************************************************************************
* FUNCTIONS' PROTOTYPES
*************************************************************************************/

/*************************************************************************************
* Function Name  : Configure_GPT1_Timer_2
* Description    : - Configures GPT1 Timer 2 in Timer mode, prescaler factor = 1024
*				   - Configures GPT1 Timer 2 Interrupt
* Input          : None.
* Return         : None.
*************************************************************************************/                                   
void Configure_GPT1_Timer_2(void);

/*************************************************************************************
* Function Name  : Configure_GPT1_Timer_3
* Description    : - Configures GPT1 Timer 3 in Timer mode, prescaler factor = 64
				   - Configures GPT1 Timer 3 Interrupt
* Input          : None.
* Return         : None.
*************************************************************************************/

void Configure_GPT1_Timer_3(void);

/******************* (C) COPYRIGHT 2005 STMicroelectronics *****END OF FILE**********/ 







